<template>
  <prime-chip
    :label="keywordGroup.name"
    :style="{ backgroundColor: keywordGroup.color, color: getKeywordGroupColor(keywordGroup) }"
  />
</template>
<script lang="ts">
import PrimeChip from 'primevue/chip/Chip.vue';
import { defineComponent, PropType } from 'vue';
import { getKeywordGroupColor } from '@/api/keywordGroups';
import { KeywordGroup } from '@/models/keywordGroup';

export default defineComponent({
  name: 'keyword-group-chip',
  components: {
    PrimeChip,
  },
  props: {
    keywordGroup: { type: Object as PropType<KeywordGroup>, required: true },
  },
  methods: {
    getKeywordGroupColor(group: KeywordGroup) {
      return getKeywordGroupColor(group);
    },
  },
});
</script>
